Subject: Comments on draft-melnikov-rfc2831bis-01

From: Simon Josefsson <[email-masked]>
Date: Wed, 09 Oct 2002 03:02:25 +0200

The draft does not describe how the sequence numbers are used in
integrity/confidentiality protection, here is some proposed text.

In section 2.3, add the following to the sentence beginning with
"where MD5 is as":

   The sequence number is an unsigned counter set to 0 after initial
   or subsequent authentication and incremented with 1 after each
   successfully generated or verified MAC, wrapping around to 0 when
   exceeding its 4-byte

In section 2.4, add the following to the sentence beginning with
"The MAC block is":

   The sequence number is an unsigned counter set to 0 after initial
   or subsequent authentication and incremented with 1 after each
   successfully generated or verified SEAL, wrapping around to 0 when
   exceeding its 4-byte size.